<div class = "ui secondary menu" id = "meni">
  <div class = "item" id="logo">
    <lib-ngx-image-zoom
      thumbImage="assets/logoThumb.png"
      zoomMode = "click"
      [magnification]="1"
      [enableScrollZoom]="true"
      [enableLens]="false"
      [lensWidth]="500"
      [lensHeight]="500"

    ></lib-ngx-image-zoom>
  </div>
    <a class="item" routerLink="/" routerLinkActive="active" [routerLinkActiveOptions]="{exact: true}" >
        Home
    </a> 

    <a class="item" routerLink="/meals" routerLinkActive="active" [routerLinkActiveOptions]="{exact: true}" >
      Meals
    </a> 
    <a class="item" routerLink="/user" routerLinkActive="active" [routerLinkActiveOptions]="{exact: true}" *ngIf="user">
        User profile
    </a> 
    <a class="item" routerLink="/favorites" routerLinkActive="active" [routerLinkActiveOptions]="{exact: true}" *ngIf="user">
      Favorites
    </a>
    <a class="item" routerLink="/create-recipe" routerLinkActive="active" [routerLinkActiveOptions]="{exact: true}" *ngIf="user">
        Create recipe
    </a> 

    <!-- Right menu -->
    <div class="right menu" style="align-items: center;">

      <app-recipe-search></app-recipe-search>

      <a class="item" [routerLink]="getLoginOrLogoutRouterLink()" 
                      routerLinkActive="active">
          {{ getLoginOrLogoutString() }}
      </a>
      
    </div>

  </div>
  